Vulnerability Name:

CVE-1999-1231 (CCN-2276)

Assigned:1999-06-09
Published:1999-06-09
Updated:2017-12-19
Summary:ssh 2.0.12, and possibly other versions, allows valid user names to attempt to enter the correct password multiple times, but only prompts an invalid user name for a password once, which allows remote attackers to determine user account names on the server.
CVSS v3 Severity:5.3 Medium (CCN CVSS v3.1 Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): None
Availibility (A): None
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
5.0 Medium (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): None
Availibility (A): None
Vulnerability Type:CWE-Other
Vulnerability Consequences:Obtain Information
References:Source: MITRE
Type: CNA
CVE-1999-1231

Source: CCN
Type: BugTraq Mailing List, 1999-06-09 13:51:54
ssh advirsory

Source: CCN
Type: OSVDB ID: 8036
ssh Account Name Validity Disclosure

Source: BUGTRAQ
Type: Exploit, Patch, Vendor Advisory
19990609 ssh advirsory

Source: XF
Type: UNKNOWN
ssh-leak(2276)

Source: XF
Type: UNKNOWN
ssh-leak(2276)

Vulnerable Configuration:Configuration 1:
  • cpe:/a:ssh:ssh2:2.0:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.1:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.2:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.3:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.4:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.5:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.6:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.7:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.8:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.9:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.10:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.11:*:*:*:*:*:*:*
  • OR cpe:/a:ssh:ssh2:2.0.12:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:ssh:ssh:*:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    ssh ssh2 2.0
    ssh ssh2 2.0.1
    ssh ssh2 2.0.2
    ssh ssh2 2.0.3
    ssh ssh2 2.0.4
    ssh ssh2 2.0.5
    ssh ssh2 2.0.6
    ssh ssh2 2.0.7
    ssh ssh2 2.0.8
    ssh ssh2 2.0.9
    ssh ssh2 2.0.10
    ssh ssh2 2.0.11
    ssh ssh2 2.0.12
    ssh ssh *